# FabLab Bottle Clip Generator

This project renders bottle clips for a given name with the widely known FabLab "cube" logo.

The generator allows users to generate and download STL files generated on the server using
[OpenSCAD](https://openscad.org/) and the
[parametric bottle name tag](https://www.thingiverse.com/thing:38861) project.


## Licensing

The OpenSCAD code of the parametric bottle clip generator is licensed under the terms of the
[CC-By-SA 3.0 Unported license](https://creativecommons.org/licenses/by-sa/3.0/). A copy of the license can be found
in `COPYING.CC-By-SA`.

The remaining Python code is licensed under the terms of the [CC0](https://creativecommons.org/publicdomain/zero/1.0/)
license. A copy of the license can be found in `COPYING.CC0`.

The FabLab "cube logo" is not subject to copyright protection and is considered to be in the public domain. The
drawings derived from it which this project uses are in the public domain as well.

The client code further uses [Vue.js](https://vuejs.org/) and [download](https://github.com/rndme/download), both
licensed under the MIT license. See `COPYING.MIT.vuejs` and `COPYING.MIT.download` respectively.
